# Class CIM_RemotePort
extends CIM_RemoteServiceAccessPoint

RemotePort adds port information to the access data (such as IP Address) that is specified in and inherited from RemoteServiceAccessPoint. For example, using the additional properties in this class, you could indicate that UDP Port 123 is accessed at IP Address xyz. The IP Address would be specified in the inherited AccessInfo property, while the UDP Port number would be specified in the PortInfo property of this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_RemoteServiceAccessPoint
|
+--CIM_RemotePort

## Direct Known Subclasses

CIM_SNMPTrapTarget

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

RemotePort adds port information to the access data (such as IP Address) that is specified in and inherited from RemoteServiceAccessPoint. For example, using the additional properties in this class, you could indicate that UDP Port 123 is accessed at IP Address xyz. The IP Address would be specified in the inherited AccessInfo property, while the UDP Port number would be specified in the PortInfo property of this class.

UMLPackagePath | string | CIM::Core::Service
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherProtocolDescription | string |
Description | string | Describes the protocol when the property PortProtocol is set to 1 (Other).
ModelCorrespondence | string | CIM_RemotePort.PortProtocol
PortInfo | string |
Description | string | Port information that might further specify the remote access information.
ModelCorrespondence | string | CIM_RemotePort.PortProtocol
PortProtocol | uint16 |
Description | string | An enumerated integer that describes the protocol of the port that is addressed by PortInformation.
ModelCorrespondence | string | CIM_RemotePort.OtherProtocolDescription
ValueMap | string | 1, 2, 3, 32768..65535
Values | string | Other, TCP, UDP, Vendor Specific

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AccessContext | uint16 | CIM_RemoteServiceAccessPoint
AccessInfo | string | CIM_RemoteServiceAccessPoint
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InfoFormat | uint16 | CIM_RemoteServiceAccessPoint
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherAccessContext | string | CIM_RemoteServiceAccessPoint
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherInfoFormatDescription | string | CIM_RemoteServiceAccessPoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement